class RegExp_ {
    static Try() {
        let reg_exp = new RegExp(" ", "g"); // <=> 'let reg_exp = / /g;' ('g' flag: all matches)
        window.console.assert(reg_exp.global);

        let FB = "Franck        Barbier".replace(reg_exp, "");
//        window.alert(FB);  // 'FranckBarbier'

        reg_exp = new RegExp(" ");
        window.console.assert(!reg_exp.global);
        FB = "Franck        Barbier".replace(reg_exp, "");
//        window.alert(FB);  // 'Franck       Barbier'

        reg_exp = /[\ud800-\udbff][\udc00-\udfff]/; // https://thekevinscott.com/emojis-in-javascript/
        const smiley = String.fromCodePoint(128516);
        window.alert(smiley + "? " + reg_exp.test(smiley)); // 'true'

        const any_currency = /\p{Sc}/gu; // '\p{Sc}' means: any currency symbol ('/u' not yet supported by Firefox?)
        const prices = `Prices: $2, €1, ¥9`;
        window.alert(prices.match(any_currency)); // '$,€,¥'
    }
}

// Test :
RegExp_.Try();
